Summary: Desktop print icon
Name: desktop-printing
Version: 0.20
Release: %mkrel 4
License: GPL
Group: Publishing
Source0: http://ftp.gnome.org/pub/GNOME/sources/eggcups/%version/eggcups-%{version}.tar.xz
Source1: print-applet.desktop
Patch0: eggcups-0.20-fixdbus.patch
Patch2: eggcups-0.20-disablesessionrestore.patch
Patch3: eggcups-0.20-autohide.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: dbus-x11
BuildRequires: libgnomeui2-devel, dbus-devel >= 0.60
BuildRequires: hal-devel
BuildRequires: libglade2.0-devel
BuildRequires: desktop-file-utils, intltool, cups-devel
BuildRequires: libgnomecups-devel >= 0.1.12
BuildRequires: gnome-keyring-devel
BuildRequires: libxscrnsaver-devel

%description
Desktop-printing contains eggcups, a program for user print job
notification and control.

%prep
%setup -q -c
cd eggcups-%{version}
%patch0 -p1 -b .fixdbus
%patch2 -p1 -b .disablesessionrestore
%patch3 -p1 -b .autohide

%build
pushd eggcups-%{version}
%configure2_5x --with-session-cupsd=no

%make

popd

%install
rm -rf $RPM_BUILD_ROOT

pushd eggcups-%{version}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
popd

desktop-file-install --add-only-show-in=GNOME  --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-default-printer.desktop

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/eggcups/cupsd.conf $RPM_BUILD_ROOT%{_datadir}/eggcups/server-root

%find_lang eggcups

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/printer-applet.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas eggcups

%post
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor



%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_icon_cache hicolor

%files -f eggcups.lang
%defattr(-, root, root)
%{_bindir}/eggcups
%{_bindir}/gnome-default-printer
%{_datadir}/eggcups
%{_datadir}/applications/gnome-default-printer.desktop
%{_datadir}/gnome/autostart/printer-applet.desktop
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/gconf/*

%changelog
* Tue Sep 14 2010 Texstar <texstar at gmail.com> 0.20-4pclos2010
- rebuild for new ssl

* Wed Jul 09 2008 Texstar <texstar@gmail.com> 0.20-3pclos2007
- rebuild libgnutls26

* Sat Jun 07 2008 Texstar <texstar@gmail.com> 0.20-2pclos2007
- apply bug fix patches (mdv)

* Tue Sep 18 2007 Texstar <texstar@gmail.com> 0.20-1pclos2007
- update to 0.20

* Tue Oct 31 2006 Texstar <texstar@houston.rr.com> 0.19-5pclos2007
- Build for PCLinuxOS 2007

